Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OntoSim 2.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## fr.inrialpes.exmo.ontosim.entity
Class NeighborhoodEntityMeasure<E>

    java.lang.Object
      fr.inrialpes.exmo.ontosim.entity.NeighborhoodEntityMeasure<E>

All Implemented Interfaces:
  Measure<HLEntity<E>>

    public class NeighborhoodEntityMeasure<E>

extends Object
implements Measure<HLEntity<E>>

Nested Class Summary

Nested classes/interfaces inherited from interface fr.inrialpes.exmo.ontosim.Measure
`Measure.TYPES`

Field Summary
`private SetMeasure<HLEntity<E>>` | `initialM`

Constructor Summary
`NeighborhoodEntityMeasure()`
`NeighborhoodEntityMeasure(SetMeasure<HLEntity<E>> intialM)`

Method Summary
`double` | `getDissim(HLEntity<E> o1, HLEntity<E> o2)`
`double` | `getMeasureValue(HLEntity<E> o1, HLEntity<E> o2)`
`Measure.TYPES` | `getMType()`
`double` | `getSim(HLEntity<E> o1, HLEntity<E> o2)`
`protected void` | `getVal(Set<? extends HLEntity<E>> s1, Set<? extends HLEntity<E>> s2, List<Double> values)`
`protected List<Double>` | `getVals(HLClass<E> e1, HLClass<E> e2)`
`protected List<Double>` | `getVals(HLIndividual<E> e1, HLIndividual<E> e2)`
`protected List<Double>` | `getVals(HLProperty<E> e1, HLProperty<E> e2)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### initialM

    private SetMeasure<HLEntity<E>> initialM

Constructor Detail

### NeighborhoodEntityMeasure

    public NeighborhoodEntityMeasure()

### NeighborhoodEntityMeasure

    public NeighborhoodEntityMeasure(SetMeasure<HLEntity<E>> intialM)

Method Detail

### getVal

    protected void getVal(Set<? extends HLEntity<E>> s1,
                          Set<? extends HLEntity<E>> s2,
                          List<Double> values)

### getVals

    protected List<Double> getVals(HLClass<E> e1,
                                   HLClass<E> e2)

### getVals

    protected List<Double> getVals(HLProperty<E> e1,
                                   HLProperty<E> e2)

### getVals

    protected List<Double> getVals(HLIndividual<E> e1,
                                   HLIndividual<E> e2)

### getMType

    public Measure.TYPES getMType()

  Specified by:
    `getMType` in interface `Measure<HLEntity<E>>`

### getMeasureValue

    public double getMeasureValue(HLEntity<E> o1,
                                  HLEntity<E> o2)

  Specified by:
    `getMeasureValue` in interface `Measure<HLEntity<E>>`

### getSim

    public double getSim(HLEntity<E> o1,
                         HLEntity<E> o2)

  Specified by:
    `getSim` in interface `Measure<HLEntity<E>>`

### getDissim

    public double getDissim(HLEntity<E> o1,
                            HLEntity<E> o2)

  Specified by:
    `getDissim` in interface `Measure<HLEntity<E>>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OntoSim 2.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(C) INRIA & friends, 2008-2009